
AC_PREREQ([2.69])
AC_INIT([radio], [0.0.1], [enzo.casciano@bts-malraux.net])
AM_INIT_AUTOMAKE([foreign -Wall -Werror])
AC_CONFIG_SRCDIR([src/main.cc])

PKG_CHECK_MODULES([LIBXSPF], [xspf >= 1.2.0])

AC_CONFIG_FILES([
Makefile
src/Makefile
])

PKG_CHECK_MODULES([LIBPQ], [libpq >= 9.6.15])
AC_SUBST([LIBPQ_CFLAGS])
AC_SUBST([LIBPQ_LIBS])
PKG_CHECK_MODULES([GFLAGS], [gflags >= 2.2.2])
AC_SUBST([GFLAGS_CFLAGS])
AC_SUBST([GFLAGS_LIBS])

AC_PROG_CXX
AC_OUTPUT
